Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ws
Interface WSApplicationModuleMarshaller

All Known Implementing Classes:
  AbstractRemoteApplicationModuleImpl, ApplicationModuleImpl, ApplicationModuleImpl

public interface WSApplicationModuleMarshaller

Field Summary
`static int` | `ACTIVATION_AFTER_LOSS_OF_AFFINITY`
`static int` | `ACTIVATION_AFTER_RESTART`
`static int` | `ACTIVATION_NONE`
`static int` | `SYNC_INT_BATCH`
`static int` | `SYNC_INT_BATCH_DO_WORK`

Method Summary
`void` | `addResponse(java.io.Serializable resp)`
`void` | `afterActivation(int activationMode)`
`void` | `bindToWorkingSet(WSApplicationModuleImpl ws)`
`ApplicationModule` | `createWorkerApplicationModule(java.lang.Object sessionCookie)`
`void` | `detach()`
`void` | `finishSyncWorkingSet(WSApplicationModuleImpl wsAM, boolean isEndOfSvcMsg)`
`AppModuleRequestHandler` | `getAppModuleRequestHandler()`
`java.lang.String` | `getClientProxyInterfaceName()`
`WSApplicationModuleImpl` | `getCurrentWorkingSet()`
`ObjectMarshaller` | `getObjectMarshaller()`
`int` | `getRemoteObjectId(java.lang.Object obj)`
`java.lang.String` | `getResponseName()`
`boolean` | `hasPendingDataPosts()`
`java.lang.Object` | `invokeMethod(java.lang.Object target, java.lang.String methodName, java.lang.String[] argTypeNames, java.lang.Object[] args)`
`java.lang.Object` | `marshal(java.lang.Object obj)`
`java.lang.Object` | `marshalForActivate(java.lang.Object obj)`
`ServiceMessage` | `sendWorkingSetRequests(java.lang.String reqName, WSApplicationModuleImpl wsAM, ServiceMessage req)`
`void` | `setBoundToWorkingSet(boolean b)`
`void` | `setDataModelRefresh(boolean b)`
`void` | `syncMarshaller(ServiceMessage msg)`
`void` | `syncWorkingSet(WSApplicationModuleImpl wsAM)`

Field Detail

### SYNC_INT_BATCH

    public static final int SYNC_INT_BATCH

  See Also:
    Constant Field Values

### SYNC_INT_BATCH_DO_WORK

    public static final int SYNC_INT_BATCH_DO_WORK

  See Also:
    Constant Field Values

### ACTIVATION_NONE

    public static final int ACTIVATION_NONE

  See Also:
    Constant Field Values

### ACTIVATION_AFTER_RESTART

    public static final int ACTIVATION_AFTER_RESTART

  See Also:
    Constant Field Values

### ACTIVATION_AFTER_LOSS_OF_AFFINITY

    public static final int ACTIVATION_AFTER_LOSS_OF_AFFINITY

  See Also:
    Constant Field Values

Method Detail

### setBoundToWorkingSet

    public void setBoundToWorkingSet(boolean b)

### createWorkerApplicationModule

    public ApplicationModule createWorkerApplicationModule(java.lang.Object sessionCookie)

### getAppModuleRequestHandler

    public AppModuleRequestHandler getAppModuleRequestHandler()

### syncMarshaller

    public void syncMarshaller(ServiceMessage msg)

### syncWorkingSet

    public void syncWorkingSet(WSApplicationModuleImpl wsAM)

### finishSyncWorkingSet

    public void finishSyncWorkingSet(WSApplicationModuleImpl wsAM,
                                     boolean isEndOfSvcMsg)

### sendWorkingSetRequests

    public ServiceMessage sendWorkingSetRequests(java.lang.String reqName,
                                                 WSApplicationModuleImpl wsAM,
                                                 ServiceMessage req)

### bindToWorkingSet

    public void bindToWorkingSet(WSApplicationModuleImpl ws)

### getCurrentWorkingSet

    public WSApplicationModuleImpl getCurrentWorkingSet()

### hasPendingDataPosts

    public boolean hasPendingDataPosts()

### detach

    public void detach()

### afterActivation

    public void afterActivation(int activationMode)

### getResponseName

    public java.lang.String getResponseName()

### getRemoteObjectId

    public int getRemoteObjectId(java.lang.Object obj)

### marshal

    public java.lang.Object marshal(java.lang.Object obj)

### marshalForActivate

    public java.lang.Object marshalForActivate(java.lang.Object obj)

### addResponse

    public void addResponse(java.io.Serializable resp)

### setDataModelRefresh

    public void setDataModelRefresh(boolean b)

### getObjectMarshaller

    public ObjectMarshaller getObjectMarshaller()

### getClientProxyInterfaceName

    public java.lang.String getClientProxyInterfaceName()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object target,
                                         java.lang.String methodName,
                                         java.lang.String[] argTypeNames,
                                         java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.